Generations by Model
Show all generations from specific model.
curl --request GET \
--url https://api.remapdb.com/v2/generations/model/{model_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.remapdb.com/v2/generations/model/{model_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.remapdb.com/v2/generations/model/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"name": "B5",
"slug": "b5",
"year": 1994,
"year_end": 2001,
"photo": "https://cdn.remapdb.com/api/generations/audi_a4_b5_31pynyoby3ok0.jpg",
"type": {
"id": 1,
"name": "Cars & LCV"
},
"manufacturer": {
"id": 1234,
"name": "Audi"
},
"model": {
"id": 123,
"name": "A4"
}
},
{
"id": 456,
"name": "B6",
"slug": "b6",
"year": 2000,
"year_end": 2006,
"photo": "https://cdn.remapdb.com/api/generations/audi_a4_b6_ayzv7s85pm0o.jpg",
"type": {
"id": 1,
"name": "Cars & LCV"
},
"manufacturer": {
"id": 1234,
"name": "Audi"
},
"model": {
"id": 123,
"name": "A4"
}
}
]Authorizations
All API methods require Bearer authentication. Use your existing API key as the bearer token.
Authorization header format: Authorization: Bearer YOUR_API_KEY.
Headers
Method accept custom language. Content of the header should be the code of the language you are requesting. E.g.: en.
bg, da, de, en, es, et, fi, fr, hr, it, lt, lv, nb, nl, nn, pt, ru, sv, tr, zs "en"
Path Parameters
Model ID.
1 <= x <= 9007199254740991Response
Success
1000Stable catalogue ID. Private IDs start at 4294967296; all IDs are exact JavaScript-safe integers.
1 <= x <= 9007199254740991123
Manufacturer object
Show child attributes
Show child attributes
Model object
Show child attributes
Show child attributes
Generation Name.
2048^[^\u0000-\u001F\u007F]*$"B5"
Generation photo URL. Private generation photos use a CDN object URL; omitted uploads remain null.
2048^[^\u0000-\u001F\u007F]*$"https://cdn.remapdb.com/api/generations/audi_a4_b5_31pynyoby3ok0.jpg"
URL-friendly name (slug).
2048^[^\u0000-\u001F\u007F]*$"b5"
Vehicle type object
Show child attributes
Show child attributes
Year of manufacture.
1994
End year of manufacture.
2001
Shared catalogue record or an addition owned by the authenticated customer.
shared, private 